## ros-iron-ur-bringup 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_bringup)

find_package(ament_cmake REQUIRED)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

install(PROGRAMS scripts/start_ursim.sh
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-iron-ur-bringup (2.3.1-3jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 16 Mar 2023 07:00:00 -0000

ros-iron-ur-bringup (2.3.0-3jammy) jammy; urgency=high

  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
    * Remove ros_control.urscript
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
  * Contributors: livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 02 Mar 2023 08:00:00 -0000

ros-iron-ur-bringup (2.2.4-3jammy) jammy; urgency=high

  * Remove duplicated update_rate parameter (#479 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/479>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 07 Oct 2022 07:00:00 -0000

ros-iron-ur-bringup (2.2.3-3jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 27 Jul 2022 07:00:00 -0000

ros-iron-ur-bringup (2.2.2-3jammy) jammy; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 19 Jul 2022 07:00:00 -0000

ros-iron-ur-bringup (2.2.1-3jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 27 Jun 2022 07:00:00 -0000

ros-iron-ur-bringup (2.2.0-3jammy) jammy; urgency=high

  * Updated package maintainers
  * Rework bringup (#403 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/403>)
  * Fix force_torque_sensor_broadcaster config (#405 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/405>)
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Add sphinx documentation (#340 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/340>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Only start controller_stopper when not using fake_hardware (#332 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/332>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Fix package dependencies (#306 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/306>)
  * Make documentation on how to use driver clearer. (#300 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/300>)
  * Update MoveIt file for working with simulation. (#278 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/278>)
  * Start the tool communication script if the flag is set (#267 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/267>)
  * Used ``spawner`` instead of ``spanwer.py`` in launch files (#293 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/293>)
  * Do not start dashboard client if FakeHardware simuation is used. (#286 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/286>)
  * Use scaled trajectory controller per default. (#287 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/287>)
  * Separate control node (#281 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/281>)
  * Fix launch file arguments. (#243 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/243>)
  * Move Servo launching into the main MoveIt launch file. Make it optional. (#239 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/239>)
  * Tool communication (#218 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/218>)
  * fix missing executable arg of joint_state_broadcaster (#248 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/248>)
  * Remove obsolete comment 🐒 (#242 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/242>)
  * Revert "Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)" (#241 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/241>)
  * Use 'spawner' instead of 'spawner.py' (#225 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/225>)
  * Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)
  * Empirically set update rates. (#227 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/227>)
  * Fix update rate configuration (#222 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/222>)
  * Test execution tests (#216 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/216>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Add default per joint constraints. (#203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/203>)
  * Do not customize the planning scene topics (#205 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/205>)
  * Implement "choices" for robot_type param (#204 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/204>)
  * Joint limits parameters for Moveit planning (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/187>)


=== debian/control ===
Source: ros-iron-ur-bringup
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-rclpy, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ur-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-controller-manager, ros-iron-force-torque-sensor-broadcaster, ros-iron-joint-state-broadcaster, ros-iron-joint-state-publisher, ros-iron-joint-trajectory-controller, ros-iron-launch, ros-iron-launch-ros, ros-iron-position-controllers, ros-iron-rclpy, ros-iron-robot-state-publisher, ros-iron-ros2-controllers-test-nodes, ros-iron-rviz2, ros-iron-ur-controllers, ros-iron-ur-description, ros-iron-urdf, ros-iron-velocity-controllers, ros-iron-xacro, ros-iron-ros-workspace
Description: Launch file and run-time configurations, e.g.
 controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ur-bringup//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
